Skip to main content
Resource Center/Resource Pool/Volume Operations
PUTVolume OperationsSince 3.10.0SynchronousAuth Required

FlattenVolume

FlattenVolume

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • flattenvolumeObjectRequired

    flattenvolume request body object.

    • dryRunboolean

      Optional. Trial. Predicate the data usage.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryVolumeInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • primaryStorageUuidStringRequired

      The primary storage UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • diskOfferingUuidStringRequired

      The disk offering UUID.

    • rootImageUuidStringRequired

      根镜像UUID。

    • installPathStringRequired

      安装路径。

    • typeStringRequired

      类型。

    • formatStringRequired

      数据格式或导出格式。

    • sizeLongRequired

      返回记录数。

    • actualSizeLongRequired

      实际大小。

    • deviceIdIntegerRequired

      设备ID。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • isShareableBooleanRequired

      是否可分享。

    • volumeQosStringRequired

      No description provided.

    • lastDetachDateTimestampRequired

      最近一次detach时间。

    • lastVmInstanceUuidStringRequired

      最近一次云主机实例UUID。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/volumes/{uuid}/actions

/zstack/v1/volumes/{uuid}/actions

Operation ID

FlattenVolume

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/volumes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"flattenvolume":{"dryRun":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "13ff90c5fcd43587915817a65cc87af3", "name": "test-volume", "primaryStorageUuid": "55db0399efaf35479125967b5bd6e8c7", "vmInstanceUuid": "c3f9c1907206307a896db9a94a35c29d", "diskOfferingUuid": "d4d9b3afe4993bfbba991b4414295a65", "rootImageUuid": "7bcdd79e0ed1347f9a2d4ea043bb9f37", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-13ff90c5fcd43587915817a65cc87af3/13ff90c5fcd43587915817a65cc87af3.qcow2", "type": "Root", "format": "qcow2", "size": 107374182400, "actualSize": 21474836480, "deviceId": 0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history